Package org.opencv.objdetect

## Class DetectorParameters

- java.lang.Object
- - org.opencv.objdetect.DetectorParameters

-     public class DetectorParameters
      extends java.lang.Object

  struct DetectorParameters is used by ArucoDetector

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `DetectorParameters()` |
    `protected` | `DetectorParameters​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DetectorParameters` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `double` | `get_adaptiveThreshConstant()` |
    `int` | `get_adaptiveThreshWinSizeMax()` |
    `int` | `get_adaptiveThreshWinSizeMin()` |
    `int` | `get_adaptiveThreshWinSizeStep()` |
    `float` | `get_aprilTagCriticalRad()` |
    `int` | `get_aprilTagDeglitch()` |
    `float` | `get_aprilTagMaxLineFitMse()` |
    `int` | `get_aprilTagMaxNmaxima()` |
    `int` | `get_aprilTagMinClusterPixels()` |
    `int` | `get_aprilTagMinWhiteBlackDiff()` |
    `float` | `get_aprilTagQuadDecimate()` |
    `float` | `get_aprilTagQuadSigma()` |
    `int` | `get_cornerRefinementMaxIterations()` |
    `int` | `get_cornerRefinementMethod()` |
    `double` | `get_cornerRefinementMinAccuracy()` |
    `int` | `get_cornerRefinementWinSize()` |
    `boolean` | `get_detectInvertedMarker()` |
    `double` | `get_errorCorrectionRate()` |
    `int` | `get_markerBorderBits()` |
    `double` | `get_maxErroneousBitsInBorderRate()` |
    `double` | `get_maxMarkerPerimeterRate()` |
    `double` | `get_minCornerDistanceRate()` |
    `int` | `get_minDistanceToBorder()` |
    `float` | `get_minGroupDistance()` |
    `double` | `get_minMarkerDistanceRate()` |
    `float` | `get_minMarkerLengthRatioOriginalImg()` |
    `double` | `get_minMarkerPerimeterRate()` |
    `double` | `get_minOtsuStdDev()` |
    `int` | `get_minSideLengthCanonicalImg()` |
    `double` | `get_perspectiveRemoveIgnoredMarginPerCell()` |
    `int` | `get_perspectiveRemovePixelPerCell()` |
    `double` | `get_polygonalApproxAccuracyRate()` |
    `float` | `get_relativeCornerRefinmentWinSize()` |
    `boolean` | `get_useAruco3Detection()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_adaptiveThreshConstant​(double adaptiveThreshConstant)` |
    `void` | `set_adaptiveThreshWinSizeMax​(int adaptiveThreshWinSizeMax)` |
    `void` | `set_adaptiveThreshWinSizeMin​(int adaptiveThreshWinSizeMin)` |
    `void` | `set_adaptiveThreshWinSizeStep​(int adaptiveThreshWinSizeStep)` |
    `void` | `set_aprilTagCriticalRad​(float aprilTagCriticalRad)` |
    `void` | `set_aprilTagDeglitch​(int aprilTagDeglitch)` |
    `void` | `set_aprilTagMaxLineFitMse​(float aprilTagMaxLineFitMse)` |
    `void` | `set_aprilTagMaxNmaxima​(int aprilTagMaxNmaxima)` |
    `void` | `set_aprilTagMinClusterPixels​(int aprilTagMinClusterPixels)` |
    `void` | `set_aprilTagMinWhiteBlackDiff​(int aprilTagMinWhiteBlackDiff)` |
    `void` | `set_aprilTagQuadDecimate​(float aprilTagQuadDecimate)` |
    `void` | `set_aprilTagQuadSigma​(float aprilTagQuadSigma)` |
    `void` | `set_cornerRefinementMaxIterations​(int cornerRefinementMaxIterations)` |
    `void` | `set_cornerRefinementMethod​(int cornerRefinementMethod)` |
    `void` | `set_cornerRefinementMinAccuracy​(double cornerRefinementMinAccuracy)` |
    `void` | `set_cornerRefinementWinSize​(int cornerRefinementWinSize)` |
    `void` | `set_detectInvertedMarker​(boolean detectInvertedMarker)` |
    `void` | `set_errorCorrectionRate​(double errorCorrectionRate)` |
    `void` | `set_markerBorderBits​(int markerBorderBits)` |
    `void` | `set_maxErroneousBitsInBorderRate​(double maxErroneousBitsInBorderRate)` |
    `void` | `set_maxMarkerPerimeterRate​(double maxMarkerPerimeterRate)` |
    `void` | `set_minCornerDistanceRate​(double minCornerDistanceRate)` |
    `void` | `set_minDistanceToBorder​(int minDistanceToBorder)` |
    `void` | `set_minGroupDistance​(float minGroupDistance)` |
    `void` | `set_minMarkerDistanceRate​(double minMarkerDistanceRate)` |
    `void` | `set_minMarkerLengthRatioOriginalImg​(float minMarkerLengthRatioOriginalImg)` |
    `void` | `set_minMarkerPerimeterRate​(double minMarkerPerimeterRate)` |
    `void` | `set_minOtsuStdDev​(double minOtsuStdDev)` |
    `void` | `set_minSideLengthCanonicalImg​(int minSideLengthCanonicalImg)` |
    `void` | `set_perspectiveRemoveIgnoredMarginPerCell​(double perspectiveRemoveIgnoredMarginPerCell)` |
    `void` | `set_perspectiveRemovePixelPerCell​(int perspectiveRemovePixelPerCell)` |
    `void` | `set_polygonalApproxAccuracyRate​(double polygonalApproxAccuracyRate)` |
    `void` | `set_relativeCornerRefinmentWinSize​(float relativeCornerRefinmentWinSize)` |
    `void` | `set_useAruco3Detection​(boolean useAruco3Detection)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### DetectorParameters

          protected DetectorParameters​(long addr)

    - #### DetectorParameters

          public DetectorParameters()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static DetectorParameters __fromPtr__​(long addr)

    - #### get_adaptiveThreshWinSizeMin

          public int get_adaptiveThreshWinSizeMin()

    - #### set_adaptiveThreshWinSizeMin

          public void set_adaptiveThreshWinSizeMin​(int adaptiveThreshWinSizeMin)

    - #### get_adaptiveThreshWinSizeMax

          public int get_adaptiveThreshWinSizeMax()

    - #### set_adaptiveThreshWinSizeMax

          public void set_adaptiveThreshWinSizeMax​(int adaptiveThreshWinSizeMax)

    - #### get_adaptiveThreshWinSizeStep

          public int get_adaptiveThreshWinSizeStep()

    - #### set_adaptiveThreshWinSizeStep

          public void set_adaptiveThreshWinSizeStep​(int adaptiveThreshWinSizeStep)

    - #### get_adaptiveThreshConstant

          public double get_adaptiveThreshConstant()

    - #### set_adaptiveThreshConstant

          public void set_adaptiveThreshConstant​(double adaptiveThreshConstant)

    - #### get_minMarkerPerimeterRate

          public double get_minMarkerPerimeterRate()

    - #### set_minMarkerPerimeterRate

          public void set_minMarkerPerimeterRate​(double minMarkerPerimeterRate)

    - #### get_maxMarkerPerimeterRate

          public double get_maxMarkerPerimeterRate()

    - #### set_maxMarkerPerimeterRate

          public void set_maxMarkerPerimeterRate​(double maxMarkerPerimeterRate)

    - #### get_polygonalApproxAccuracyRate

          public double get_polygonalApproxAccuracyRate()

    - #### set_polygonalApproxAccuracyRate

          public void set_polygonalApproxAccuracyRate​(double polygonalApproxAccuracyRate)

    - #### get_minCornerDistanceRate

          public double get_minCornerDistanceRate()

    - #### set_minCornerDistanceRate

          public void set_minCornerDistanceRate​(double minCornerDistanceRate)

    - #### get_minDistanceToBorder

          public int get_minDistanceToBorder()

    - #### set_minDistanceToBorder

          public void set_minDistanceToBorder​(int minDistanceToBorder)

    - #### get_minMarkerDistanceRate

          public double get_minMarkerDistanceRate()

    - #### set_minMarkerDistanceRate

          public void set_minMarkerDistanceRate​(double minMarkerDistanceRate)

    - #### get_minGroupDistance

          public float get_minGroupDistance()

    - #### set_minGroupDistance

          public void set_minGroupDistance​(float minGroupDistance)

    - #### get_cornerRefinementMethod

          public int get_cornerRefinementMethod()

    - #### set_cornerRefinementMethod

          public void set_cornerRefinementMethod​(int cornerRefinementMethod)

    - #### get_cornerRefinementWinSize

          public int get_cornerRefinementWinSize()

    - #### set_cornerRefinementWinSize

          public void set_cornerRefinementWinSize​(int cornerRefinementWinSize)

    - #### get_relativeCornerRefinmentWinSize

          public float get_relativeCornerRefinmentWinSize()

    - #### set_relativeCornerRefinmentWinSize

          public void set_relativeCornerRefinmentWinSize​(float relativeCornerRefinmentWinSize)

    - #### get_cornerRefinementMaxIterations

          public int get_cornerRefinementMaxIterations()

    - #### set_cornerRefinementMaxIterations

          public void set_cornerRefinementMaxIterations​(int cornerRefinementMaxIterations)

    - #### get_cornerRefinementMinAccuracy

          public double get_cornerRefinementMinAccuracy()

    - #### set_cornerRefinementMinAccuracy

          public void set_cornerRefinementMinAccuracy​(double cornerRefinementMinAccuracy)

    - #### get_markerBorderBits

          public int get_markerBorderBits()

    - #### set_markerBorderBits

          public void set_markerBorderBits​(int markerBorderBits)

    - #### get_perspectiveRemovePixelPerCell

          public int get_perspectiveRemovePixelPerCell()

    - #### set_perspectiveRemovePixelPerCell

          public void set_perspectiveRemovePixelPerCell​(int perspectiveRemovePixelPerCell)

    - #### get_perspectiveRemoveIgnoredMarginPerCell

          public double get_perspectiveRemoveIgnoredMarginPerCell()

    - #### set_perspectiveRemoveIgnoredMarginPerCell

          public void set_perspectiveRemoveIgnoredMarginPerCell​(double perspectiveRemoveIgnoredMarginPerCell)

    - #### get_maxErroneousBitsInBorderRate

          public double get_maxErroneousBitsInBorderRate()

    - #### set_maxErroneousBitsInBorderRate

          public void set_maxErroneousBitsInBorderRate​(double maxErroneousBitsInBorderRate)

    - #### get_minOtsuStdDev

          public double get_minOtsuStdDev()

    - #### set_minOtsuStdDev

          public void set_minOtsuStdDev​(double minOtsuStdDev)

    - #### get_errorCorrectionRate

          public double get_errorCorrectionRate()

    - #### set_errorCorrectionRate

          public void set_errorCorrectionRate​(double errorCorrectionRate)

    - #### get_aprilTagQuadDecimate

          public float get_aprilTagQuadDecimate()

    - #### set_aprilTagQuadDecimate

          public void set_aprilTagQuadDecimate​(float aprilTagQuadDecimate)

    - #### get_aprilTagQuadSigma

          public float get_aprilTagQuadSigma()

    - #### set_aprilTagQuadSigma

          public void set_aprilTagQuadSigma​(float aprilTagQuadSigma)

    - #### get_aprilTagMinClusterPixels

          public int get_aprilTagMinClusterPixels()

    - #### set_aprilTagMinClusterPixels

          public void set_aprilTagMinClusterPixels​(int aprilTagMinClusterPixels)

    - #### get_aprilTagMaxNmaxima

          public int get_aprilTagMaxNmaxima()

    - #### set_aprilTagMaxNmaxima

          public void set_aprilTagMaxNmaxima​(int aprilTagMaxNmaxima)

    - #### get_aprilTagCriticalRad

          public float get_aprilTagCriticalRad()

    - #### set_aprilTagCriticalRad

          public void set_aprilTagCriticalRad​(float aprilTagCriticalRad)

    - #### get_aprilTagMaxLineFitMse

          public float get_aprilTagMaxLineFitMse()

    - #### set_aprilTagMaxLineFitMse

          public void set_aprilTagMaxLineFitMse​(float aprilTagMaxLineFitMse)

    - #### get_aprilTagMinWhiteBlackDiff

          public int get_aprilTagMinWhiteBlackDiff()

    - #### set_aprilTagMinWhiteBlackDiff

          public void set_aprilTagMinWhiteBlackDiff​(int aprilTagMinWhiteBlackDiff)

    - #### get_aprilTagDeglitch

          public int get_aprilTagDeglitch()

    - #### set_aprilTagDeglitch

          public void set_aprilTagDeglitch​(int aprilTagDeglitch)

    - #### get_detectInvertedMarker

          public boolean get_detectInvertedMarker()

    - #### set_detectInvertedMarker

          public void set_detectInvertedMarker​(boolean detectInvertedMarker)

    - #### get_useAruco3Detection

          public boolean get_useAruco3Detection()

    - #### set_useAruco3Detection

          public void set_useAruco3Detection​(boolean useAruco3Detection)

    - #### get_minSideLengthCanonicalImg

          public int get_minSideLengthCanonicalImg()

    - #### set_minSideLengthCanonicalImg

          public void set_minSideLengthCanonicalImg​(int minSideLengthCanonicalImg)

    - #### get_minMarkerLengthRatioOriginalImg

          public float get_minMarkerLengthRatioOriginalImg()

    - #### set_minMarkerLengthRatioOriginalImg

          public void set_minMarkerLengthRatioOriginalImg​(float minMarkerLengthRatioOriginalImg)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`